﻿# Themelia
Author: dariodev  
Requires at least: WordPress 4.4  
Tested up to: WordPress 4.5.3-alpha-37606  
Version: 1.0.0  
License: GPLv2 or later  
License URI: http://www.gnu.org/licenses/gpl-2.0.html  
Tags: one-column, two-columns, right-sidebar, left-sidebar, full-width-template, custom-menu, custom-colors, footer-widgets, editor-style, sticky-post, threaded-comments, translation-ready, featured-images, theme-options, e-commerce, blog

## Description

Welcome to Themelia, a meticulously crafted and balanced WordPress theme for personal and professional blogging. Designed for authors, freelancers, agencies and everyone else. Theme is built with search-engine optimization (SEO) in mind. It has consistent syntax structure, it’s a HTML5 valid, optimized for speed and SEO, utilizing most current HTML5 conventions and [Schema.org](http://schema.org) microdata. It has The theme is built on the rock-solid Hybrid Core theme framework.

* Responsive Layout
* Classic Menu
* Mobile Menu
* Social Menu
* Breadcrumb Navigation
* Featured Images
* Custom Colors
* Modular Scale Typography
* Google Fonts
* Post Formats
* Theme Options
* The GPL v2.0 or later license. 

## Theme Options - Customizer

The Customizer allows you to preview changes to your site before publishing them. 

### Site Identity
* Site Title and Description - change / show / hide
* Logo - Upload image for site logo
* Site Icon (used as a browser and app icon)

### Layout 
* Global Layout (2 columns - sidebar / content, 2 columns - content / sidebar, 1 column content).  
You can override this per page/post basis.
* Header Layout - Select layout for header elements (branding and main navigation).  
**Stacked:** left aligned, right aligned, centered.  
**Inline:** logo->menu, menu->logo.
* Footer Widgets - Choose the number of widget columns in the footer widget area.  
Each column can have any number of widgets.

### Menus
This panel is used for managing navigation menus for content you have already published on your site. You can create menus and add items for existing content such as pages, posts, categories, tags, formats, or custom links. Menus can be displayed in locations defined by your theme or in widget areas by adding a “Custom Menu” widget.  

**Locations:** This theme uses wp_nav_menu() in three locations. Primary, Mobile and Footer.  
 
* **Primary** is for the Main site navigation, it's unavailable on mobile devices.   
* **Mobile** is for Responsive Mobile Menu, shown on mobile devices, instead of Primary. You may want to create another menu for Mobile location, or you can add the same one you added in the Primary location.   
* **Footer** location is placed in the right footer. You can use it as a regular menu or as a Social Links menu. If you add custom links to your social networks, the menu items will be presented with coresponding icon (isons are provided by Ionicons icon font). Textual part of the link will be visually hidden, but still available for screen readers.  

### Base Settings
* **Base Typography** - Font Family, text and links color. **Default Font Family is Roboto**
* **Typography Size - Modular Scale** - A modular scale is a sequence of numbers that relate to one another in a meaningful way. You can set different base font and different modular scale for desktop, tablets and mobile screens.  
	This theme provides four scales, Major Second, Minor Third, Major Third and Perfect Fourth.  
	
	Find more about the concept of modular scale [here](http://alistapart.com/article/more-meaningful-typography), also check Modular Scale calculator [here](http://www.modularscale.com/) and [here](http://type-scale.com/).
* **Headings** - Color, weight and transform and letter spacing for entry titles and content headings.
* **Secondary Text** - Entry meta, date, time, breadcrumbs.
* **Body Background and Separators** - Main Background Color and color for separators.

### Header and Main navigation
Colors and Typography for the site header and main navigation menu.  

* **Site Title** - Color and Size for Site Title and Tagline (Site Description). This is shown according to settings in the Site Identity. If you add site logo, Site Title and Tagline will hide, but always available for screen readers.  
Site Header Background (Background color for header area) and Site Header Separator (Thin border between Site Header and Content Area).
* **Main Navigation Typography** - Select Font family, size and other attributes.
* **Main Navigation Colors** - Colors for top level links and dropdowns.

### Widgets
Three widget areas:  

* **Primary sidebar** - The main sidebar. It is displayed on either the left or right side of the page based on the chosen layout.
* **Subsidiary sidebar** - A sidebar located in the upper footer of the site. Optimized for one wide widget (and multiples thereof).   
* **Footer Widgets** - An area optimized for one, two, three or four widgets (and multiples thereof). Each column can have any number of widgets.

### Static Front Page 
This theme supports a static front page.

## RelishPress.com 

For more information about Themelia please go to [RelishPress website](https://relishpress.com/).

## Installation

1. In your admin panel, go to Appearance -> Themes and click the 'Add New' button.
2. Type in Themelia in the search form and press the 'Enter' key on your keyboard.
3. Click on the 'Activate' button to use your new theme right away.
4. Navigate to Appearance > Customize in your admin panel and customize to taste.

## Copyright and License

Themelia WordPress Theme, Copyright 2016 Dario Devcic
Themelia is distributed under the terms of the GNU GPL

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

**Themelia Theme bundles the following third-party resources:**

**HybridCore** v3.1.0, Copyright (c) 2008 - 2016, Justin Tadlock  
License: GNU GPL, Version 2 (or later)  
Source: http://themehybrid.com/hybrid-core  

**Kirki Toolkit** v2.3.2, Copyright (c) 2016, Aristeides Stathopoulos  
Licenses: MIT/GPL2 
Source: http://kirki.org/

**Ionicons** icon font v2.0.1, Designed by: @benjsperry  
License: MIT  
Source: http://ionicons.com/ 

**Unsemantic CSS Framework**, Created by Nathan Smith  
Licenses: MIT/GPL

**SlickNav** v1.0.7, Copyright 2015 Josh Cope  
License: MIT

**Superfish Menu** v1.7.9, Copyright 2016 Joel Birch  
Licenses: MIT/GPL

**HTML5 Shiv** v3.7.0, Copyright 2014 Alexander Farkas  
Licenses: MIT/GPL2  

### Note
All jQuery plugins are merged into one .js file (** jquery.plugins.js**) and enqued in the theme.


Images used in screenshot.png:  
Featured: photo by [Samuel Zeller](https://unsplash.com/samuelzeller), Sidebar: photo by [Nick Karvounis](https://unsplash.com/nickkarvounis), licensed under [Creative Commons Zero](http://creativecommons.org/publicdomain/zero/1.0/)

All other resources and theme elements are licensed under the [GNU GPL](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), version 2 or later.
